Ticket #42901

explain_why_no_action_enabled() fallthrough warning

Date d'ouverture: 2021-09-23 11:32 Dernière mise à jour: 2021-10-16 14:36

Rapporteur:
Propriétaire:
Type:
État:
Atteints
Composant:
Priorité:
5 - moyen
Sévérité:
5 - moyen
Résolution:
Fixed
Fichier:
1

Détails

With -Wimplicit-fallthrough enabled:

../../../src/server/unithand.c: In function ‘explain_why_no_action_enabled’:
../../../src/server/unithand.c:2019:5: error: this statement may fall through -Werror=implicit-fallthrough=

2019 | {
|

../../../src/server/unithand.c:2038:3: note: here

2038 | case ANEK_TRIREME_MOVE:
| ~

Ticket History (3/5 Histories)

2021-09-23 11:32 Updated by: cazfi
  • New Ticket "explain_why_no_action_enabled() fallthrough warning" created
2021-09-23 17:16 Updated by: cazfi
Commentaire

This is actually dead code *after* the break;

Seems like alternative implementation to the stuff that is above. Is this reimplementing gone awry?

2021-10-09 12:59 Updated by: cazfi
  • Résolution Update from Aucun to Accepted
  • Jalon Update from (Aucun) to 3.0.0 (atteints)
2021-10-16 14:36 Updated by: cazfi
  • État Update from Ouvert to Atteints
  • Propriétaire Update from (Aucun) to cazfi
  • Résolution Update from Accepted to Fixed

Modifier

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Connexion